#
# spec file for package prctl
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           prctl
Version:        1.5
Release:        8.1
Summary:        A utility to perform process operations
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://sourceforge.net/projects/prctl
Source0:        http://downloads.sourceforge.net/project/prctl/prctl/%{version}/prctl-%{version}.tar.gz
Source1:        COPYING
Patch0:         prctl-1.5-Makefile.patch
Patch1:         prctl-1.5-warnings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The prctl utility allows a user to control certain process behaviors in
the runtime environment.

%prep
%setup -q
cp %{SOURCE1} .
%patch0 -p1 -b .makefile
%patch1 -p0 -b .warnings

%build
%{configure}

%install
%{makeinstall}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog
%{_bindir}/%{name}
%doc %{_mandir}/man1/%{name}.1.*

%changelog
* Mon Apr 15 2013 idonmez@suse.com
- Cleanup spec file
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Mon Mar 21 2011 coolo@novell.com
- licenses package is about to die
* Fri Nov 19 2010 mvyskocil@suse.cz
- Update to 1.5 (bugfix release)
  * Better error message in case kernel does not support prctl operations.
- refresh SUSE patches
- add Changelog and COPYING to docdir
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Apr 18 2004 schwab@suse.de
- Pacify autobuild.
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Sat Dec 29 2001 schwab@suse.de
- Initial version 1.3.
